package com.wecloud.dispatch.common;

import lombok.NoArgsConstructor;

import java.util.HashMap;

/**
 * @author lixiaozhong
 */
@NoArgsConstructor
public class RequestVO extends HashMap<String, Object> {

    /**
     * 请求的参数 action，用来寻找action类的path
     */
    private String action;

    /**
     * 请求id, 以判空是否请求成功, 服务端处理完成后 返回此id
     * 由前端生成，可以用uuid，也可以用时间戳
     */
    private String reqId;

    public String getAction() {
        return (String)this.get("action");
    }

    public void setAction(String action) {
        this.put("action", action);
    }

    public String getReqId() {
        return (String)this.get("reqId");
    }

    public void setReqId(String reqId) {
        this.put("reqId", reqId);

    }
}
